fcf.module({
  name: "fcf:NServer/NEvent/FcfServerFailedRoute.js",
  dependencies: [],
  module: function() {
    var NEvent = fcf.prepareObject(fcf, "NServer.NEvent");

    NEvent.FcfServerFailedRoute = function(a_args, a_subEvent) {
      //a_args.actions
      //a_args.routeInfo

      fcf.Event.call(this, "FcfServerFailedRoute", a_args, a_subEvent);

      //this.routeInfo  = undefined;
      this.directionalСall = false;
      this.error           = undefined;
      this.controllerInfo  = undefined;
    }

    return NEvent.FcfServerFailedRoute;
  }
});
